Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function.ide
Class MetaABMFunctionEditor.ReverseAdapterFactoryContentProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
          org.metaabm.function.ide.MetaABMFunctionEditor.ReverseAdapterFactoryContentProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.jface.viewers.ITreeContentProvider, org.eclipse.ui.views.properties.IPropertySourceProvider

Enclosing class:
  MetaABMFunctionEditor

    public class MetaABMFunctionEditor.ReverseAdapterFactoryContentProvider

extends org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`adapterFactory, viewer, viewerRefresh`

Constructor Summary
`MetaABMFunctionEditor.ReverseAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)`

Method Summary
`java.lang.Object[]` | `getChildren(java.lang.Object object)`
`java.lang.Object[]` | `getElements(java.lang.Object object)`
`java.lang.Object` | `getParent(java.lang.Object object)`
`boolean` | `hasChildren(java.lang.Object object)`

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider
`createPropertySource, dispose, getAdapterFactory, getPropertySource, inputChanged, notifyChanged, setAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaABMFunctionEditor.ReverseAdapterFactoryContentProvider

    public MetaABMFunctionEditor.ReverseAdapterFactoryContentProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

Method Detail

### getElements

    public java.lang.Object[] getElements(java.lang.Object object)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `getElements` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object object)

  Specified by:
    `getChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

### hasChildren

    public boolean hasChildren(java.lang.Object object)

  Specified by:
    `hasChildren` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `hasChildren` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  Specified by:
    `getParent` in interface `org.eclipse.jface.viewers.ITreeContentProvider`
  Overrides:
    `getParent` in class `org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD